std::chrono::operator==(std::chrono::weekday_indexed)(3)

NAME
std::chrono::operator==(std::chrono::weekday_indexed) - std::chrono::operator==(std::chrono::weekday_indexed)

Synopsis
   Defined in header <chrono>
   constexpr bool operator==( const std::chrono::weekday_indexed& x, (since C++20)
   const std::chrono::weekday_indexed& y ) noexcept;
   Compares the two weekday_indexed x and y.
   The != operator is synthesized from operator==.

Return value
   x.weekday() == y.weekday() && x.index() == y.index()

Example
// Run this code
 #include <chrono>
 int main()
 {
     constexpr std::chrono::weekday_indexed wdi1 {std::chrono::Wednesday[2]};
     constexpr std::chrono::weekday_indexed wdi2 {std::chrono::weekday(3), 2};
     static_assert(wdi1 == wdi2);
 }